Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.client
Interface RMIClientConnectorImplMBean

All Superinterfaces:
  JMXConnector

All Known Implementing Classes:
  RMIClientConnectorImpl

public interface RMIClientConnectorImplMBean
extends JMXConnector

Author:
  Andreas "Mad" Schaefer

Method Summary
`void` | `start(java.lang.Object pServer)` Starts the connection to the given server
`void` | `stop()` Stops the connection to the given server and remove all the registered listeners

Methods inherited from interface org.jboss.jmx.interfaces.JMXConnector
`addNotificationListener, addNotificationListener, createMBean, createMBean, createMBean, createMBean, deserialize, deserialize, deserialize, getAttribute, getAttributes, getDefaultDomain, getMBeanCount, getMBeanInfo, getObjectInstance, instantiate, instantiate, instantiate, instantiate, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, registerMBean, removeNotificationListener, removeNotificationListener, setAttribute, setAttributes, unregisterMBean`

Method Detail

### start

    public void start(java.lang.Object pServer)
               throws java.lang.IllegalArgumentException

  Starts the connection to the given server
  Parameters:
    `pServer` - Server the connector connects to

### stop

    public void stop()

  Stops the connection to the given server and remove all the registered listeners

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.